<template>
  <div>
    <div>
      <ul class="tabs">
        <li v-for="tab in tabs" :class="{'active': tab.isActive }">
          <a class="h-full" :href="tab.href" @click="selectTab(tab)">{{ tab.name }}</a>
        </li>
      </ul>
    </div>
    <div class="tab-content">
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return { tabs: [] };
  },
  mounted() {
    this.tabs = this.$children;
  },
  methods: {
    selectTab(selected) {
        for(var i=0;i<this.tabs.length;i++){
            this.tabs[i].isActive = this.tabs[i].name == selected.name;
        }
    }
  }
};
</script>